package com.jxml.quick.model.qiml;

/**
 * Qiml -
 * 
 * qiml: The root element of a QIML binding schema.
 * The elementDefinition held by qiml defines the root element(s).
 */
public class Qiml {

    protected String qiml_PUBLIC_1;

    protected String qiml_SYSTEM_2;

    protected ElementDefinition elementDefinition_3;


    public Qiml() {
    }

    /** full constructor */
    public Qiml(String qiml_PUBLIC_1, String qiml_SYSTEM_2, ElementDefinition elementDefinition_3) {
        this.qiml_PUBLIC_1 = qiml_PUBLIC_1;
        this.qiml_SYSTEM_2 = qiml_SYSTEM_2;
        this.elementDefinition_3 = elementDefinition_3;
    }

    /** minimum constructor */
    public Qiml(ElementDefinition elementDefinition_3) {
        this.elementDefinition_3 = elementDefinition_3;
    }

    public String getQiml_PUBLIC_1() {
        return(qiml_PUBLIC_1);
    }

    public void setQiml_PUBLIC_1(String qiml_PUBLIC_1) {
        this.qiml_PUBLIC_1 = qiml_PUBLIC_1;
    }

    public String getQiml_SYSTEM_2() {
        return(qiml_SYSTEM_2);
    }

    public void setQiml_SYSTEM_2(String qiml_SYSTEM_2) {
        this.qiml_SYSTEM_2 = qiml_SYSTEM_2;
    }

    public ElementDefinition getElementDefinition_3() {
        return(elementDefinition_3);
    }

    public void setElementDefinition_3(ElementDefinition elementDefinition_3) {
        this.elementDefinition_3 = elementDefinition_3;
    }

}
